NPM-RESTART(1)

NAME
npm-restart

Synopsis
<!-- AUTOGENERATED USAGE DESCRIPTIONS -->.SH Description

This restarts a project.
It is equivalent to running npm run restart.

If the current project has a "restart" script specified in package.json, then the following scripts will be run:

    •   prerestart

    •   restart

    •   postrestart

If it does not have a "restart" script specified, but it does have stop and/or start scripts, then the following scripts will be run:

    •   prerestart

    •   prestop

    •   stop

    •   poststop

    •   prestart

    •   start

    •   poststart

    •   postrestart

Configuration
<!-- AUTOGENERATED CONFIG DESCRIPTIONS -->.SH See Also

    •   npm run

    •   npm scripts

    •   npm test

    •   npm start

    •   npm stop

    •   npm restart